#
# spec file for package perl-Pod-PseudoPod
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Pod-PseudoPod
Version:        0.18
Release:        1.1
License:        GPL+ or Artistic
%define cpan_name Pod-PseudoPod
Summary:        A framework for parsing PseudoPod
Url:            http://search.cpan.org/dist/Pod-PseudoPod/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/C/CH/CHROMATIC/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Simple) >= 3.02
#BuildRequires: perl(Pod::PseudoPod)
Requires:       perl(HTML::Entities)
Requires:       perl(Pod::Simple) >= 3.02
%{perl_requires}

%description
PseudoPod is an extended set of Pod tags used for book manuscripts.
Standard Pod doesn't have all the markup options you need to mark up files
for publishing production. PseudoPod adds a few extra tags for footnotes,
tables, sidebars, etc.

This class adds parsing support for the PseudoPod tags. It also overrides
Pod::Simple's '_handle_element_start', '_handle_text', and
'_handle_element_end' methods so that parser events are turned into method
calls.

In general, you'll only want to use this module as the base class for a
PseudoPod formatter/processor.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README Todo

%changelog
* Mon Oct 10 2011 coolo@suse.com
- initial package 0.18
  * created by cpanspec 1.78.06
